#include<iostream>
using namespace std;
int main()
{
    int a,b;
    cin>>a>>b;
    char mat[100][100]
    for(int i=0;i<a;i++)
    for(int j=0;j<b;j++)
    cin>>mat[i][j];
    
    
    cout<<"-1";
}